# cHealingKits Class Reference

Inheritance diagram for cHealingKits:

List of all members.

## Public Member Functions

| cHealingKits (DWORD dwGUID, cLocation &Loc, DWORD dwModel, float flScale, BOOL fSolid, DWORD dwIcon, std::string strName, std::string strDescription, DWORD dwValue, WORD wWeight, WORD wUses, WORD wUseLimit)
cMessage | CreatePacket ()
void | Assess (cClient *pcAssesser)
void | Action (cClient *who)
DWORD | GetItemModelID ()

## Public Attributes

DWORD | m_dwItemModelID

## Protected Attributes

WORD | m_wWeight
DWORD | m_dwValue
DWORD | m_wUses
DWORD | m_wUseLimit
BOOL | m_fIsStackable
BOOL | m_fEquippable
BOOL | m_fIsSolid
std::string | m_strDescription

## Constructor & Destructor Documentation

cHealingKits::cHealingKits | ( | DWORD | dwGUID,
|  | cLocation & | Loc,
|  | DWORD | dwModel,
|  | float | flScale,
|  | BOOL | fSolid,
|  | DWORD | dwIcon,
|  | std::string | strName,
|  | std::string | strDescription,
|  | DWORD | dwValue,
|  | WORD | wWeight,
|  | WORD | wUses,
|  | WORD | wUseLimit |
| ) |  |  | `[inline]`

A constructor.

Called whenever a healing kit object is initialized.

## Member Function Documentation

void cHealingKits::Action | ( | cClient * | who | ) | `[virtual]`

Handles the message sent for the creation of healing kits in a container.

This function is called whenever a healing kit should be created in the inventory of another object.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

void cHealingKits::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of healing kit objects.

This function is called whenever a healing kit is assessed by a client.

Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cHealingKits::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of healing kits in the world.

This function is called whenever a healing kit should be created in the world for a client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/cHealingKits.cpp